<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    >



    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black"
        >

        <EditText
            android:id="@+id/scan_input"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@android:color/white"
            android:hint="@string/Escaner"
            android:inputType="text"
            android:lines="1"
            android:maxLines="1"
            android:textColor="@color/verdnatura_white"
            android:textColorHint="@android:color/darker_gray"
            android:textSize="@dimen/body2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/main_toolbar"
            android:paddingLeft="@dimen/default_layout_margin"
            android:visibility="gone"/>



        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/collection_swipe"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@+id/btn_obtener"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/scan_input">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/fragment_sacador_collections"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="8dp"
                tools:listitem="@layout/item_article_row" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


        <Button
            android:id="@+id/btn_obtener"
            style="@style/DefaultButton"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/btn_orange"
            android:text="@string/obtener"
            android:textColor="@color/verdnatura_white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/btn_cancelar"
            app:layout_constraintStart_toStartOf="parent" />

        <Button
            android:id="@+id/btn_cancelar"
            style="@style/DefaultButton"
            android:layout_width="wrap_content"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/btn_blue"
            android:text="@string/cancel"
            android:textColor="@color/verdnatura_white"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

      ' <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/splash_progress"
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_8_alpha_6"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>